Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Xristofer

Disappointed in the grudges I see being held all these years later.

Recommended Posts

Personally is rather disappointing to grab a map pack and then have it troll you when you use certain weapon packs like brutal doom. I don't care what you have against the author of that mod it's past time to put the grudge down and be an adult. Sad when cacodemon award winning maps especially have this nonsense going on. That should be an automatic disqualify because it's being done on purpose. I have literally gone in on some of these maps and deleted on line of obvious code and been able to get it working with whatever weapon mods I want. Make your maps but don't sit there and make them where particular weapon packs don't work deliberately because your feelings got hurt in 2012. 

Share this post


Link to post
3 minutes ago, Xristofer said:

Personally is rather disappointing to grab a map pack and then have it troll you when you use certain weapon packs like brutal doom.

Which map pack are you referring to?

3 minutes ago, Xristofer said:

I don't care what you have against the author of that mod it's past time to put the grudge down and be an adult.

OP, what isn't working is that this post arrives as if it came from Phobos itself. Where is the context?

3 minutes ago, Xristofer said:

Sad when cacodemon award winning maps especially have this nonsense going on. That should be an automatic disqualify because it's being done on purpose.

Again, which maps are you referring to? Your post sounds like something said in a ongoing conversation, but you aren't engaged in a ongoing conversation; you are starting one.

3 minutes ago, Xristofer said:

Make your maps but don't sit there and make them where particular weapon packs don't work deliberately because your feelings got hurt in 2012. 

Three times a charm on what you are referring to?

Share this post


Link to post

The only Doom mods I've seen that troll Brutal Doom players are some of the terrywads that Aquarius199 has played in his videos.

Share this post


Link to post

Come on now I very clear am referring to maps in general and not about to call one out in particular. I already stated that it's even with cacoaward winners. No need to play like you don't understand just to conflate the issue. 

Share this post


Link to post
Just now, Xristofer said:

Come on now I very clear am referring to maps in general and not about to call one out in particular. I already stated that it's even with cacoaward winners. No need to play like you don't understand just to conflate the issue. 

sorry to double post I posted my message before the response but, we seriously don't know what wads you're talking about.

Share this post


Link to post
Posted (edited)

My 2 cents:

 

I don't think any mapper should care whether their things are compatible with anything other than the intended sourceport(s). Extra points for intentionally targeting some specific mods.

Share this post


Link to post

How about the first place winner from last year if you have to have a particular map pack in question. Every 30s you get booted to the next level when using a brutal doom and examination of the code shows that it's on purpose. 

Share this post


Link to post
Posted (edited)
1 minute ago, Xristofer said:

How about the first place winner from last year if you have to have a particular map pack in question. Every 30s you get booted to the next level when using a brutal doom and examination of the code shows that it's on purpose. 

Better get real good then and beat the maps before those 30s are up

 

1 minute ago, Xristofer said:

How about don't misquote someone.

I didn't misquote, merely summarized.

 

Share this post


Link to post
1 minute ago, Xristofer said:

How about the first place winner from last year if you have to have a particular map pack in question. Every 30s you get booted to the next level when using a brutal doom and examination of the code shows that it's on purpose. 

first place winner? I'm pretty sure they aren't in order of bestness

Share this post


Link to post

There’s likely a logical explanation to why they chose to do this other than to simply tick you off or to trash on Sgt Mark if they made it incompatible with weapon mods like BD. I think it would be better for you to give examples and show the code you’re talking about that you removed, and not just tell us what the code does, instead of being vague, as it would help people truly understand your point of view. 

Share this post


Link to post
Posted (edited)
48 minutes ago, Xristofer said:

How about the first place winner from last year if you have to have a particular map pack in question. Every 30s you get booted to the next level when using a brutal doom and examination of the code shows that it's on purpose. 

If you mean Antaresian Reliquary, well you are pretty confused.

It has it own gameplay mod attached to it in the form of a dehacked patch and a proper decorate entry to be playable without problem on zdoom base ports.

 

It has nothing to do with being against Brütal Doom, it just how the author meant his own mapset to be played.
I can tell you that the mapset its pretty good without any gameplay mod as the one that comes with it is really good, too.
Give it a try! ;)

 

For certain, this grudge that you are talking was around some time ago, but most members of the community has no problem with @Sergeant_Mark_IV (maybe one or two still argue with him sometimes).

In fact, if you check around, you will find that there are a lot of members around here that play with Brütal Doom.

 

What you need to understand, is that, Brütal Doom may not be compatible with some mapsets, and thats not because those authors are against it, but because the author added their own gameplay modifications to the set, thus both gameplay modifications collide and generate problem.

Its simple as that.

 

Edited by P41R47 : grammar

Share this post


Link to post
Posted (edited)

At least half of last year's Cacoward winners aren't BD compatible anyway, due to containing custom weapons and/or monsters (or due to being for Heretic in Faithless' case).

Share this post


Link to post
34 minutes ago, Xristofer said:

How about the first place winner from last year if you have to have a particular map pack in question. Every 30s you get booted to the next level when using a brutal doom and examination of the code shows that it's on purpose. 

I think there are lots of people here who would like for you to present the malicious code in question....

 

All that aside, if I don't want anything I create to be played with some mod, I have every right to do that, and I don't need to hold any grudges for that, either. I can simply decide that some of the most widely spread mods are incompatible with my design goals....

 

And you know what the real kicker is..? You don't have to play anything anybody has ever made and shared for free, so I suggest you get off your high horse before somebody dies of laughter...

Share this post


Link to post

 

6 minutes ago, P41R47 said:

If you mean Antaresian Reliquary, well you are pretty confused.

It has it own gameplay mod attached to it in the form of a dehacked patch and a proper decorate entry to be playable without problem on zdoom base ports.

 

The author himself has also already answered this in the thread for the wad. It's definitely not intentional.

https://www.doomworld.com/forum/post/2255527

Share this post


Link to post
Posted (edited)

I don't think Shadows of The Nightmare Realm did this, but my later levels check for BD (and a few other cases - they're admittedly not very thorough or well tested) and don't let you continue.  This is absolutely not some sort of grudge against BD, but just that my levels are purposely not intended to be used with BD (any mod at all).  It's just how I have them designed, not a beef with a specific mod.  There's no standard way of tagging a wad or pk3 as intended for play without mods, and my experience shows that many players absolutely do not follow directions (or don't respect them), so I have to do it through scripting trickery.

Share this post


Link to post

To sort of add on what everyone else is saying as well, yeah, people can make things however compatible they want. They can make it compatible with no mods if they choose. Because it's their mapset. It doesn't have to appease you, specifically. There are three zillion other wads that are compatible with Brutal Doom. Joining just to accuse us all of being twat-holes to Sgt Mark IV with zero proof is a bit ridiculous, gotta be honest.

Share this post


Link to post
Posted (edited)

I came to this thread expecting one thing, and instead received a bad take from a cowboy hat.

 

EDIT: A 5 day old cowboy hat at that...

Edited by VanaheimRanger

Share this post


Link to post
58 minutes ago, Xristofer said:

Every 30s you get booted to the next level when using a brutal doom and examination of the code shows that it's on purpose. 

 

Please share this code with us!  You seem to know what you're talking about so this should be quite easy for you to do.

 

Because actually I think most people here would agree with you: a mapset that includes code that deliberately crashes a mod, even if that mod otherwise would be perfectly compatible/balanced with the mapset, isn't behavior that should be encouraged.

 

However, no-one here is familiar with that happening on any major recent release, especially not anything in the Cacowards.  So if it really is, then it's a big deal, so please do share your evidence!

Share this post


Link to post
Posted (edited)

Oh shit....here we go again.

 

This is more of a bad rant rather than putting facts about incompatible mods for wads that can brick shits or crash suddenly.

Of course, there are sets that has a mod embedded to it, like Mapwich 2 or Technicolor Antichrist Box, which it has the Supercharge mod.

 

This is NOT about grudges. It's about compatibility and some recommendations by the mapper/s. You can use Brutal Doom if you want, of course but, if it breaks because it was combined with another mod...the map is not to blame.

 

Quite simple if you ask me...

 

Edit: I forgot to say that there are mods that prevents BD but that was added for reasons other than grudges...

Share this post


Link to post

is this a joke thread?

well in any way this is another brutal doom thread no matter how you slice it

 

i dont think anyone here has a problem with sgt mark anymore...

Share this post


Link to post

i have been misled.  i saw the thread title, clicked the link, and there is no content to be found.  literally zero content.  just basic whinging from a hat and a few loosely related responses.

Share this post


Link to post

The topic title implies that there is more than one instance of this, and it has been happening for a while. I haven't seen any BD hate on these forums. Either the mods are quick and get rid of it, or it doesn't make it's way to me, or doesn't happen. I am quite interested to hear how the map packs are 'trolling' BD users.

Share this post


Link to post
Posted (edited)
1 hour ago, Xristofer said:

Make your maps but don't sit there and make them where particular weapon packs don't work

How about this:

"Map makers should be able to make maps however the fuck they want, including deliberately making them incompatible with mods so people get to experience the WAD in the way the author intended."

 

You yourself said all you had to do was delete one line of obvious code, so what's the big deal? Who are you to tell mappers what to do? For someone who talks about somebody's "feeling getting hurt in 2012", you seem a bit butthurt.

 

I think your OP is bullshit, poorly written, and has zero evidence.

Edited by TheMagicMushroomMan

Share this post


Link to post
Guest
This topic is now closed to further replies.
×